Forums

I thought some people might be unaware of this, so I thought I might make a mention of it.

The NYPL has e-books available for download, with DRM, so you'll need Acrobat Reader 6 or greater to use them. For poor people like me, this is a great way to get atleast some of the benefit of having these books available, despite not being able to have it on your bookshelf with post it notes marking your favorite pages ;)

While not all the books are available for download, I am currently reading through The Effective Executive, among others. If you would like to read these on a Blackberry, Palm, etc, mobibook versions of many books are available for this.

Mark's picture

CuCullin-

THANKS! I didn't know this! I am still struggling with pdf versions of books with DRM keeping me from reading them on my Treo... would LOVE the Effective Executive there.

I will check it out!

Mark